I=(S=Uno.Float3x3 = function(){
    this.M11 = 0.0;
    this.M12 = 0.0;
    this.M13 = 0.0;
    this.M21 = 0.0;
    this.M22 = 0.0;
    this.M23 = 0.0;
    this.M31 = 0.0;
    this.M32 = 0.0;
    this.M33 = 0.0;
}).prototype;

I.ToString = function()
{
    return "Uno.Float3x3";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(m11, m12, m13, m21, m22, m23, m31, m32, m33) {
    var $this = new Uno.Float3x3;
    $this.M11 = m11;
    $this.M12 = m12;
    $this.M13 = m13;
    $this.M21 = m21;
    $this.M22 = m22;
    $this.M23 = m23;
    $this.M31 = m31;
    $this.M32 = m32;
    $this.M33 = m33;
    return $this;
};

S.$1 = function(a, b, c) {
    var $this = new Uno.Float3x3;
    $this.M11 = a.X;
    $this.M12 = a.Y;
    $this.M13 = a.Z;
    $this.M21 = b.X;
    $this.M22 = b.Y;
    $this.M23 = b.Z;
    $this.M31 = c.X;
    $this.M32 = c.Y;
    $this.M33 = c.Z;
    return $this;
};
